@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700;800&display=swap");

/* global */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

.btn {
  cursor: pointer;
  background-color: transparent;
  border: none;
  border-radius: 16px;
}

:root {
  --white-color: #fff;
  --gray-color: #cacaca;
  --black-color: #000;
  --orange-color: #ff9900;
  --carrot-color: #e1670e;
  --yellow-color: #ffb84d;
  --darkgray-color: #666666;
}

body {
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  color: var(--black-color);
  background: #e5e5e5;
}

.flex {
  display: flex;
}

.flex-jb {
  display: flex;
  justify-content: space-between;
}

.container {
  max-width: 1770px;
  margin: 0 auto;
}

.bord {
  border-radius: 32px;
}

h1 {
  margin: 0;
  font-weight: 800;
  font-size: 70px;
  line-height: 85px;
}

.section-offset {
  margin-top: 52px;
}

.special-title {
  font-weight: 400;
  font-size: 48px;
  color: var(--black-color);
}

.special-h3 {
  font-weight: 700;
  font-size: 24px;
  line-height: 29px;
  color: var(--black-color);
}

.visibility-hidden {
  visibility: hidden;
}

/* <---------header---------> */

.header {
  background-color: var(--white-color);
  border-bottom-right-radius: 32px;
  border-bottom-left-radius: 32px;
}

.header__block {
  align-items: center;
}

.header__burger {
  display: none;
  border-radius: 0;
}

.header__burger:focus {
  outline: 2px solid var(--orange-color);
  outline-offset: 3px;
}

.header-nav__item {
  padding: 39px 0;
}

.header-nav__item:not(:last-child) {
  margin-right: 85px;
}

.header-nav__link {
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  transition: 0.3s;
  transition: color 0.3s ease-in-out;
}

.header-nav__link:focus {
  outline: 2px solid var(--orange-color);
  outline-offset: 3px;
}

.header-nav__link:hover {
  padding-bottom: 3px;
  border-bottom: 2px solid var(--orange-color);
}

.header-nav__link:active {
  padding-bottom: 3px;
  outline: none;
  color: var(--carrot-color);
  border-bottom: 2px solid var(--carrot-color);
}

.header__search-btn {
  border-radius: 0;
}

.header__search-btn:focus {
  outline: 2px solid var(--orange-color);
  outline-offset: 3px;
}

.header__search-btn:hover svg rect {
  fill: var(--orange-color);
  transition: fill 0.3s;
}

.header__search-btn:hover svg path {
  stroke: var(--orange-color);
  transition: stroke 0.3s;
}

.header__search-block {
  display: none;
  padding: 16px 16px 16px 32px;
  position: absolute;
  right: 1px;
  background: var(--white-color);
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.12);
  border-radius: 24px;
}

.header__search-block .header__search-btn {
  margin-left: 14px;
  margin-right: 22px;
}

.header__search-input {
  width: 412px;
  border: none;
  border-bottom: var(--gray-color) solid 1px;
}

.header__search-input:focus {
  outline: 2px solid var(--orange-color);
  outline-offset: 3px;
}

.header__search-closed {
  border-radius: 0;
}

.header__search-closed:focus {
  outline: 2px solid var(--orange-color);
  outline-offset: 3px;
}

.header__search-closed:hover svg circle {
  stroke: var(--orange-color);
}

.header__search-closed:hover svg rect {
  fill: var(--orange-color);
}

.header__search-closed:active svg circle {
  stroke: var(--black-color);
}

.header__search-closed:active svg rect {
  fill: var(--black-color);
}

/* <---------projects---------> */

.projects__wrap {
  padding: 100px 80px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position-x: center;
}

.projects__img1 {
  background-image: url(../img/projects1.png);
}

.projects__img2 {
  background-image: url(../img/projects2.png);
}

.projects__img3 {
  background-image: url(../img/projects3.png);
}

.projects__swiper {
  position: relative;
}

.projects__swiper-pagination {
  position: absolute;
  z-index: 1000;
  bottom: 15px !important;
  left: calc(100% / 2 - 3 * 15px) !important;
  width: auto !important;
}

.projects__swiper-pagination span {
  width: 15px;
  height: 15px;
  background-color: var(--white-color);
}

.projects__swiper-pagination span:not(:last-child) {
  margin: 0 !important;
  margin-right: 20px !important;
}

.projects__text {
  max-width: 837px;
}

.projects__text-h1 {
  color: var(--white-color);
}

.projects__text-p {
  padding: 24px 0 90px;
  font-weight: 700;
  font-size: 24px;
  line-height: 29px;
  color: var(--white-color);
}

.projects-container {
  position: relative;
}

.projects__swiper {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.projects__text {
  max-width: 60%;
  position: relative;
  z-index: 1;
  pointer-events: none;
  padding: 100px 55px;
}

.projects__btn {
  padding: 25px 39px;
  font-weight: 700;
  font-size: 23px;
  color: var(--white-color);
  background: var(--orange-color);
  transition: background-color 0.3s;
  /* z-index: 1; */
  pointer-events: all;
}

.projects__btn:active {
  background-color: var(--carrot-color);
}

/* <---------about---------> */

.about__text {
  max-width: 1235px;
  padding: 20px 0 50px;
  font-weight: 400;
  line-height: 32px;
}

.about__block-left {
  width: 48%;
  margin-right: 32px;
  flex-shrink: 0;
  align-items: flex-end;
  background-image: url(../img/about__block-left.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position-x: center;
}

.about__block-left__text {
  width: 100%;
  padding: 50px;
  align-items: center;
  background: rgba(0, 0, 0, 0.5);
}

.about__block-left__text320 {
  display: none;
}

.about__text-btn {
  height: max-content;
  padding: 17px 35px;
  font-weight: 700;
  font-size: 16px;
  color: var(--white-color);
  border: 3px solid var(--orange-color);
  transition: background-color 0.3s;
}

.about__text-btn:focus {
  background-color: var(--orange-color);
  outline: var(--orange-color);
}

.about__text-btn:hover {
  background-color: var(--orange-color);
}

.about__text-btn:active {
  background-color: var(--carrot-color);
  border: 3px solid var(--carrot-color);
  outline: none;
}

.about__text-p {
  max-width: 433px;
  font-weight: 700;
  font-size: 16px;
  line-height: 32px;
  color: var(--white-color);
}

/* right-block */

.about__block-right {
  flex-direction: column;
}

.about__item {
  padding: 65px 60px;
  align-items: center;
  background-color: var(--white-color);
  border: 1px solid var(--gray-color);
}

.about__item:nth-child(1) {
  margin-bottom: 32px;
}

.about__item-img {
  margin-right: 50px;
}

.about__item__subtitle {
  margin-top: 9px;
  font-weight: 400;
  line-height: 32px;
}

/* <---------stages---------> */

.stages.section-offset {
  margin-top: 104px;
}

.stages__item {
  margin-top: 51px;
}

.stages__item__content {
  display: none;
}

.stages__item__content--active {
  display: flex;
}

.stages__item__step:not(:last-child) {
  margin-right: 86px;
}

.stages__item__step-link {
  font-weight: 400;
  font-size: 18px;
  line-height: 22px;
  transition: color 0.3s ease-in-out;
  border: none;
  background-color: inherit;
  cursor: pointer;
  border-radius: 0;
}

.stages__item__step-link:focus {
  outline: 2px solid var(--orange-color);
}

.stages__item__step-link:hover {
  color: var(--orange-color);
}

.stages__item__step-link--active {
  outline: none;
  color: var(--carrot-color);
}

.stages__block-wrap {
  margin-top: 43px;
}

.stages__item-left {
  width: 48%;
}

.stages__item__subtitle,
.stages__item__subtitle768 {
  min-height: 362px;
  max-width: 736px;
  padding-top: 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
}

.stages__item__subtitle768 {
  display: none;
}

.stages__item-right {
  width: 50%;
  margin-top: 6px;
  flex-shrink: 0;
  background-repeat: no-repeat;
  background-size: cover;
  background-position-x: center;
}

.stages__img1 {
  background-image: url(../img/stages__block-right1.png);
}

.stages__img2 {
  background-image: url(../img/stages__block-right2.png);
}

.stages__img3 {
  background-image: url(../img/stages__block-right3.png);
}

.stages__img4 {
  background-image: url(../img/stages__block-right4.png);
}

.stages__block-btn {
  margin-top: 16px;
}

.stages__btn {
  padding: 20px 40px;
}

.stages__btn:first-child {
  margin-right: 26px;
}

.stages__btn_1 {
  font-weight: 700;
  color: var(--white-color);
  background-color: var(--orange-color);
  transition: background-color 0.3s;
}

.stages__btn_1:focus {
  background-color: var(--yellow-color);
  outline: 1px solid var(--yellow-color);
}

.stages__btn_1:hover {
  background-color: var(--yellow-color);
}

.stages__btn_1:active {
  background-color: var(--carrot-color);
  outline: none;
}

.stages__btn_2 {
  border: 1px solid var(--black-color);
  transition: color 0.3s ease-in-out;
  transition: background-color 0.3s;
}

.stages__btn_2:focus {
  color: var(--white-color);
  background-color: var(--darkgray-color);
}

.stages__btn_2:hover {
  background-color: var(--darkgray-color);
}

.stages__btn_2:active {
  background-color: var(--black-color);
  outline: none;
}

/* <---------questions---------> */

.questions.section-offset {
  margin-top: 114px;
}

.questions {
  margin-bottom: 100px;
}

.questions__block {
  margin-top: 34px;
}

.questions__item {
  align-items: center;
  border-bottom: 1px solid var(--gray-color);
  border-top: 1px solid var(--gray-color);
  transition: border-color 0.3s ease-in-out;
  transition: color 0.3s ease-in-out;
}

.questions__item:focus {
  border-color: var(--orange-color);
  transition: border-color 0.3s;
}

.questions__item-p {
  padding: 40px 0;
  width: 100%;
  font-weight: 700;
  font-size: 24px;
  line-height: 29px;
  color: var(--black-color);
  transition: color 0.2s ease-in-out;
}

.questions__item-text {
  max-width: 1003px;
}

.questions__item-text-p {
  padding-bottom: 30px;
  line-height: 32px;
}

.questions__item-img ellipse {
  fill: var(--gray-color);
  transition: fill 0.3s ease-in-out;
}

.questions__item:hover,
.questions__item:hover .questions__item-p,
.questions__item:hover .questions__item-img ellipse {
  border-color: var(--orange-color);
  color: var(--orange-color);
  fill: var(--orange-color);
}

.questions__item.accordion--active .questions__item-img {
  transform: rotate(45deg);
  transition: transform 0.3s;
}

.questions__item .questions__item-img {
  transition: transform 0.3s;
}

.questions__item.accordion--active:hover,
.questions__item.accordion--active:hover .questions__item-p,
.questions__item.accordion--active:hover .questions__item-img ellipse {
  border-color: var(--gray-color);
  color: var(--black-color);
  fill: var(--gray-color);
}

.accordion__content {
  overflow: hidden;
  visibility: hidden;
  transition-property: height, visibility;
  transition-timing-function: ease;
  color: var(--black-color);
}

.accordion--active .accordion__content {
  visibility: visible;
}

.list {
  list-style: none;
  padding: 0;
}

.accordion__heading {
  margin: 0;
}

/* <---------footer---------> */

.footer {
  background-color: var(--black-color);
}

.footer__wrap {
  padding: 50px 0;
}

.footer__img {
  margin-bottom: 15px;
}

.footer__link {
  font-weight: 600;
  font-size: 18px;
  line-height: 36px;
  color: var(--gray-color);
  transition: color 0.3s ease-in-out;
}

.footer__link:focus {
  outline: 2px solid var(--orange-color);
  outline-offset: 3px;
}

.footer__link:hover {
  color: var(--orange-color);
}

.footer__link:active {
  color: var(--carrot-color);
  outline: none;
}

.footer__left-social {
  margin-top: 90px;
}

.footer__social-link {
  width: 60px;
  height: 60px;
  margin-right: 21px;
  display: inline-block;
}

.footer__social-img path {
  fill: var(--darkgray-color);
}

.footer__social-link:focus {
  outline: 2px solid var(--orange-color);
  outline-offset: 3px;
}

.footer__social-img path:hover {
  fill: var(--orange-color);
}

.footer__social-img path:active {
  fill: var(--carrot-color);
}

.footer__center {
  max-width: 600px;
}

.footer__form {
  padding: 0 20px;
}

.footer-h2 {
  margin-bottom: 11px;
  color: var(--gray-color);
}

.input {
  width: 100%;
  margin-bottom: 6px;
  padding: 21px 25px;
  background-color: #414141;
  border-radius: 16px;
  border: none;
  transition: background-color 0.3s;
}

.input:focus,
.input:hover,
.input:active {
  background-color: var(--darkgray-color);
}

.footer__input-messages {
  height: 150px;
}

.footer__input-button {
  margin-top: 22px;
  align-items: center;
}

.footer__input-btn {
  margin-right: 22px;
  padding: 20px 46px;
  font-weight: 700;
  color: var(--white-color);
  background-color: var(--orange-color);
  transition: background-color 0.3s;
}

.footer__input-btn:focus {
  background-color: var(--yellow-color);
  outline: 1px solid var(--yellow-color);
}

.footer__input-btn:hover {
  background-color: var(--yellow-color);
}

.footer__input-btn:active {
  background-color: var(--carrot-color);
  outline: none;
}

.footer__input-chek {
  cursor: pointer;
  color: var(--white-color);
}

.footer__right {
  max-width: 363px;
  margin-top: 87px;
}

.footer__right-p {
  line-height: 32px;
  color: var(--gray-color);
}
